[Overview][Types][Classes][Index] | Reference for unit 'SQLTypes' (#fcl)

# TDBEventType

Type of database event

## Declaration

Source position: sqltypes.pp line 16

`type TDBEventType = (`
`detCustom,` |  | Custom event message
`detPrepare,` |  | SQL prepare message
`detExecute,` |  | SQLExecute message
`detFetch,` |  | Fetch data message
`detCommit,` |  | Transaction Commit message
`detRollBack,` |  | Transaction rollback message
`detParamValue,` |  | Parameter name and value message
`detActualSQL` |  | Actual SQL as sent to engine message
`);`

## Description

TDBEventType describes the type of a database event message as generated by TSQLConnection through the OnLog event. event.

## See also

TSQLConnection |  | An abstract class representing a connection to a SQL Database
TSQLConnection.OnLog |  | Event handler for logging events
TDBLogNotifyEvent |  | Event handler prototype for handling events